[Gui]
# Gui module to use (PyQt5)
module = PyQt5
# Start Photobooth in fullscreen mode (True/False)
fullscreen = False
# Width of Photobooth (if not fullscreen)
width = 1024
# Height of Photobooth (if not fullscreen)
height = 600
# Hide cursor
hide_cursor = False
# Use specified style
style = default

[Camera]
# Camera module to use (python-gphoto2, gphoto2-cffi, gphoto2-commandline, 
# opencv, picamera, dummy)
module = python-gphoto2

[Gpio]
# Enable use of GPIO (True/False)
enable = False
# BOARD pin 18 (BCM pin 24) lets you return to start screen
exit_pin = 24
# BOARD pin 16 (BCM pin 23) triggers capturing pictures
trigger_pin = 23
# BOARD pin 7 (BCM pin 4) switches the lamp on and off
lamp_pin = 4
# BOARD pin  (BCM pin 17) switches the blue channel
chan_b_pin = 17
# BOARD pin  (BCM pin 27) switches the red channel
chan_r_pin = 27
# BOARD pin  (BCM pin 22) switches the green channel
chan_g_pin = 22

[Printer]
# Enable printing (True/False)
enable = True
# Print to PDF (True/False) for debugging purposes
pdf = False
# Ask for confirmation before printing
confirmation = True
# Printer module to use (PyQt5)
module = PyQt5
# Paper width in mm
width = 148
# Paper height in mm
height = 100

[Photobooth]
# Show preview while posing time (True/False)
show_preview = True
# Greeter time in seconds (shown before countdown)
greeter_time = 3
# Countdown length in seconds (shown before every shot)
countdown_time = 8
# Display time of assembled picture (shown after last shot)
display_time = 5
# Timeout for postprocessing (shown after review)
postprocess_time = 60
# Overwrite displayed error message (Leave empty for none)
overwrite_error_message =

[Picture]
# Number of pictures in horizontal direction
num_x = 2
# Number of pictures in vertical direction
num_y = 2
# Size of output picture in horizontal direction
size_x = 3496
# Size of output picture in vertical direction
size_y = 2362
# Minimum distance between thumbnails in horizontal direction
min_dist_x = 20
# Minimum distance between thumbnails in vertical direction
min_dist_y = 20
# Leave out last picture, e.g. for a logo (True/False)
skip_last = False
# Specify background image (filename, optional)
background =

[Storage]
# Basedir of output pictures
basedir = %Y-%m-%d
# Basename of output pictures
basename = photobooth
# Keep single pictures (True/False)
keep_pictures = False
